Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84206 - umount reports <garbled> as user needed to umount partition
Summary: umount reports <garbled> as user needed to umount partition
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-13 14:10 UTC by John Haxby
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-14 15:33:37 UTC


Attachments (Terms of Use)

Description John Haxby 2003-02-13 14:10:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
If you attempt to umount a partition that you don't have permission to unmount
then you normally get a message like

   "umount: only root can umount ..."

but I get gibberish instead of the user name.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. umount /boot (as an ordinary user)
2.
3.
    

Actual Results:  umount: only U???\??? can unmount /dev/sda1 from /boot

on one system (resierfs) and

umount: only ???????? can unmount LABEL=/boot from /boot

on another (ext3 this time).


Expected Results:  I get this on a 7.3 system:

umount: only root can unmount LABEL=/boot from /boot


Additional info:

This is mount-2.11r-10

Comment 1 Elliot Lee 2003-08-13 20:57:15 UTC
Could you try the latest mount package (rawhide preferably, but RHL9 should work) and 
see if the problem goes away?

Comment 2 John Haxby 2003-08-14 08:51:35 UTC
On shrike with mount-2.11y-9 I get the message

   umount: only root can unmount LABEL=/boot from /boot

which would seem to be right and suggests that the problem has been fixed.



Note You need to log in before you can comment on or make changes to this bug.